Subject: RE: c++/4479 can't build gcc-3.0.1 under cygwin
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: "'David Abrahams'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Tue, 9 Oct 2001 02:34:15 -0000

I suspect we are all right :->

I have just built gcc-3.0.1 (release) using snapshot cygwin1.dll and headers
on win2k.  I know it works with previous cygwin releases (but I forget which
ones).

Your build (and others) with current cygwin release fails, and trying
snapshot cygwin1.dll only failed.  Points to a recently introduced header
problem, as you indicate.

I haven't reproduced your problem today (although I saw it on another PC of
mine), but it has been solved by:
 * stepping back to a previous cygwin release (forget which),
 * stepping forward to snapshot cygwin1.dll + headers
 * patching libiberty so that gcc-3.0.2 will work (done by cgf)
 * your work around below

If you are happy I will close the PR.

-----Original Message-----
From: David Abrahams [mailto:[email-masked]]
Sent: Tuesday, 9 October 2001 1:20 
To: Billinghurst, David (CRTS); [email-masked];
[email-masked]
Subject: Re: c++/4479

#defining HAVE_SYS_ERRLIST and HAVE_SYS_NERR in both libiberty/config.h and,
for bootstrapping, in i686-pc-cygwin/libiberty/config.h allows the build and
install process to complete successfully. I think this evidence clearly
shows that the problem does not lie with the cygwin DLL.

HTH,
Dave

===================================================
  David Abrahams, C++ library designer for hire
 resume: http://users.rcn.com/abrahams/resume.html

        C++ Booster (http://www.boost.org)
          email: [email-masked]
===================================================

----- Original Message -----
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Monday, October 08, 2001 1:01 AM
Subject: Re: c++/4479

> http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view&pr=4479&database=gcc
>
> This is a problem with the current cygwin1.dll.  It has been discussed on
> the cygwin mailing list and has been fixed in cvs and recent cygwin
> snapshots.  Suggest you download a cygwin snapshot, or wait till the next
> cygwin release.
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/